/**
 * 初始化人才类别变更详情对话框
 */
var locked = false;
var TalentTypeChangeInfoDlg = {
    talentTypeChangeInfoData : {},
    validateFields: {
        talentId: {validators: {notEmpty: {message: '申报对象不能为空' }}},
        newTalentArrange : {validators: {notEmpty: {message: '新人才层次不能为空' }}},
        newIdentifyCondition: {validators: {notEmpty: {message: '新人才认定条件不能为空'}}},
        newIdentifyConditionName: {
            validators: {
                notEmpty: {
                    message: '新人才认得条件名称不能为空'
                }
            }
        }
    }
};

/**
 * 清除数据
 */
TalentTypeChangeInfoDlg.clearData = function() {
    this.talentTypeChangeInfoData = {};
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
TalentTypeChangeInfoDlg.set = function(key, val) {
    this.talentTypeChangeInfoData[key] = (typeof val == "undefined") ? $("#" + key).val() : val;
    return this;
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
TalentTypeChangeInfoDlg.get = function(key) {
    return $("#" + key).val();
}

/**
 * 关闭此对话框
 */
TalentTypeChangeInfoDlg.close = function() {
    parent.layer.close(window.parent.TalentTypeChange.layerIndex);
}

/**
 * 收集数据
 */
TalentTypeChangeInfoDlg.collectData = function() {
    this
    .set('id')
    .set('oldYear')
    .set('newYear')
    .set('type')
    .set('talentId')
    .set('talentName')
    .set('idCard')
    .set('enterpriseId')
    .set('enterpriseName')
    .set('oldSource')
    .set('oldFromCity')
    .set('oldFromCityName')
    .set('oldQzBath')
    .set('oldOurCitySource')
    .set('oldTalentArrange')
    .set('oldIdentifyCondition')
    .set('oldIdentifyGetTime')
    // .set('oldIdentifyOutTime')
    .set('oldIdentifyConditionName')
    .set('oldIdentifyMonth')
    .set('oldCertificateNO')
    .set('oldCertificateStartTime')
    .set('oldCertificateOutTime')
    .set('oldIntroductionMode')
    .set('newSource')
    .set('newFromCity')
    .set('newQzBath')
    .set('newOurCitySource')
    .set('newTalentArrange')
    .set('newIdentifyCondition')
    .set('newIdentifyGetTime')
    .set('newIdentifyConditionName')
    .set('newIdentifyMonth')
    .set('newCertificateNO')
    .set('newCertificateStartTime')
    .set('newCertificateOutTime')
    .set('newIntroductionMode')
    .set('checkState');
    if($("#newFromCity").val()!=null && $("#newFromCity").val()!=''){
        this.talentTypeChangeInfoData["newFromCityName"] = $("#newFromCity").find("option:selected").text();
    }

}

/**
 * 验证数据
 */
TalentTypeChangeInfoDlg.validate = function () {
    $('#talentTypeForm').data("bootstrapValidator").resetForm();
    $('#talentTypeForm').bootstrapValidator('validate');
    return $("#talentTypeForm").data('bootstrapValidator').isValid();
}

/**
 * 提交添加
 */
TalentTypeChangeInfoDlg.addSubmit = function() {
    this.clearData();
    this.collectData();
    if(!this.validate()){
        return;
    }
    //提交信息
    if(locked) return ;
    locked = true;
    if(this.talentTypeChangeInfoData.id!=null && this.talentTypeChangeInfoData.id!='') {
        TalentTypeChangeInfoDlg.editSubmit(1);
    }else{
        var ajax = new $ax("/enterprise/talentTypeChange/add", function (data) {
            if(data.code=="200"){
                Feng.success(data.msg);
                $("#fileLi").removeAttr("style");
                $("#id").val(data.obj.id);
                $("#checkState").val(data.obj.checkState);
                window.parent.TalentTypeChange.table.refresh();
            }else{
                Feng.info(data.msg);
            }
            locked = false;
        }, function (data) {
            Feng.error("添加失败!" + data.responseJSON.message + "!");
            locked = false;
        });
        ajax.set(this.talentTypeChangeInfoData);
        ajax.start();
    }
}

/**
 * 提交修改
 */
TalentTypeChangeInfoDlg.editSubmit = function(type) {
    this.clearData();
    this.collectData();
    if(!this.validate()){
        return;
    }
    var ajax = new $ax("/api/talentTypeChange/update", function(data){
        if(data.code=="200"){
            if(type == 1){
                Feng.success(data.msg);
                window.parent.TalentTypeChange.table.refresh();
            }else{
                TalentTypeChangeInfoDlg.submitToCheck();
            }
        }else{
            Feng.info(data.msg);
        }
        locked = false;
    },function(data){
        Feng.error("修改失败!" + data.responseJSON.message + "!");
        locked = false;
    });
    ajax.set(this.talentTypeChangeInfoData);
    ajax.start();
}

//点击按钮初始化
TalentTypeChangeInfoDlg.talentInfoDetail = function (){
    var talentId = $("#talentId").val();
    if(Feng.isEmptyStr(talentId)){
        talentId = $("#talentId").attr("value");
    }
    var ajax = new $ax("/enterprise/talent/detail/id/"+talentId, function(data){
        console.log(data)
        //$("#type").val(data.type);
        $("#enterpriseId").val(data.enterpriseId);
        $("#talentName").val(data.name);
        //$("#talentType").val(data.talent_type);
        $("#idCard").val(data.card_number);
        $("#enterpriseName").val(data.enterpriseName);
        $("#oldSource").val(data.source);
        $("#oldOurCitySource").val(data.ourCitySource);
        $("#oldFromCity").val(data.fromCity);
        $("#oldFromCityName").val(data.fromCityName);
        $("#oldQzBath").val(data.qzBatch);
        $("#talentArrangeName").val(data.talentArrangeName);
        $("#oldTalentType").val(data.talent_type);
        $("#oldIdentifyGetTime").val(data.identifyGetTime);
        $("#oldIdentifyConditionName").val(data.talentConditionName);
        $("#oldCertificateNO").val(data.certificateNo);
        $("#oldIdentifyCondition").val(data.identifyCondition);
        $("#oldIdentifyOutTime").val(data.identifyOutTime);
        $("#oldIdentifyMonth").val(data.identifyMonth);
        $("#oldCertificateStartTime").val(data.certificateStartTime);
        $("#oldCertificateOutTime").val(data.qzgccrcActiveTime);
        $("#oldIntroductionMode").val(data.introductionMode);
        $("#oldYear").val(data.apply_year);
        if(data.type == 1){
            toastr.success("符合晋江市现代产业体系人才补充认定标准的无需填写‘新泉州高层次人才证书发证日期’及‘新泉州高层次人才证书的有效期’。");
        }
        if(data.source==1){
            $("#oldCertificateStartTime").parent().parent().attr("style","display:block");
            $("#oldCertificateOutTime").parent().parent().attr("style","display:block");
            $("#oldFromCity").parent().parent().attr("style","display:none");
            $("#oldQzBath").parent().parent().attr("style","display:block");
            $("#oldOurCitySource").parent().parent().attr("style","display:block");
        }else if(data.source == 2){
            $("#oldCertificateStartTime").parent().parent().attr("style","display:block");
            $("#oldCertificateOutTime").parent().parent().attr("style","display:block");
            $("#oldFromCity").parent().parent().attr("style","display:block");
            $("#oldQzBath").parent().parent().attr("style","display:block");
            $("#oldOurCitySource").parent().parent().attr("style","display:none");
        }else if(data.source == 3){
            $("#oldCertificateStartTime").parent().parent().attr("style","display:none");
            $("#oldCertificateOutTime").parent().parent().attr("style","display:none");
            $("#oldFromCity").parent().parent().attr("style","display:none");
            $("#oldQzBath").parent().parent().attr("style","display:none");
            $("#oldOurCitySource").parent().parent().attr("style","display:none");
        }
    },function(data){
        
        Feng.error("查询失败!" + data.responseJSON.message + "!");
    });
    ajax.start();
}

TalentTypeChangeInfoDlg.talentArrangeChange = function(now,next,source){

    var level = $('#'+now).val();
    var type = $("#type").val();
    var source = $("#"+source).val();
    var talentType = $("#talentType").val();
    console.log(now,next,source,level)
    if(level==null||level==''){
        $("#"+next).empty();
        $("#"+next).trigger('chosen:updated');
        return;
    }
    if(type == 1 && (source==null||source=='')){
        $("#"+next).empty();
        $("#"+next).trigger('chosen:updated');
        $("#"+now).val("");
        Feng.info("请先选择申报来源");
        return ;
    }
    if(source == 2){
        source = 1;
    }
    if(source == undefined){
        source = "";
    }
    Feng.addAjaxSelect({
        "id": next,
        "displayCode": "id",
        "displayName": "name",
        "type": "GET",
        "url": "/common/api/findIdentifyConditionByLevel?level="+level+"&type="+type+"&source="+source+"&talentType="+talentType
    });
    $("#"+next).trigger('chosen:updated');
}

TalentTypeChangeInfoDlg.sourceChange = function(){
    var source = $("#newSource").val();
    if(source==1){
        $("#newFromCity").parent().parent().attr("style","display:none");
        $("#newQzBath").parent().parent().attr("style","display:block");
        $("#newCertificateStartTime").parent().parent().attr("style","display:block");
        $("#newCertificateOutTime").parent().parent().attr("style","display:block");
        $("#newOurCitySource").parent().parent().attr("style","display:block");
        $("#newFromCity").val("");
    }
    if(source==2){
        $("#newCertificateStartTime").parent().parent().attr("style","display:block");
        $("#newCertificateOutTime").parent().parent().attr("style","display:block");
        $("#newFromCity").parent().parent().attr("style","display:block");
        $("#newQzBath").parent().parent().attr("style","display:block");
        $("#newOurCitySource").parent().parent().attr("style","display:none");
        $("#newOurCitySource").val("");
    }
    if(source==3||source==null||source==''){
        $("#newCertificateStartTime").parent().parent().attr("style","display:none");
        $("#newCertificateOutTime").parent().parent().attr("style","display:none");
        $("#newFromCity").parent().parent().attr("style","display:none");
        $("#newQzBath").parent().parent().attr("style","display:none");
        $("#newOurCitySource").parent().parent().attr("style","display:none");
        $("#newOurCitySource").val("");
        $("#newCertificateStartTime").val('');
        $("#newCertificateOutTime").val('');
        $("#newFromCity").val("");
        $("#newQzBath").val("");
    }
    $("#newTalentArrange").val("").trigger("change");
}


//初始化附件类别表单
TalentTypeChangeInfoDlg.initFileTable = function (){
    var queryData = {};
    queryData['type'] = $("#type").val();
    queryData['project'] = CONFIG.project_levelchange;
    $("#fileTable").bootstrapTable({
        url: "/api/talentInfo/findUnCommonFileType",
        method: 'POST',
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        search: false,					// 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
        showRefresh: false,				// 是否显示刷新按钮
        clickToSelect: true,			// 是否启用点击选中行
        singleSelect: true,				// 设置True 将禁止多选
        striped: true,  				// 是否显示行间隔色
        escape: true,
        pagination: false,   			// 设置为 true 会在表格底部显示分页条
        paginationHAlign: "left",
        paginationDetailHAlign: "right",
        sidePagination: "server",   	// 设置在哪里进行分页，可选值为 'client' 或者 'server'
        showColumns: false,
        detailView: true,               //是否显示父子表
        pageList: [10, 30, 50],
        queryParams: function (params) {
            return $.extend(queryData,params)
        },
        rowStyle: function (row, index) {
            return {classes:"info"};
        },
        columns: TalentTypeChangeInfoDlg.initFileTypeColumn(),
        onPostBody: function () {
            $("td.uitd_showTip").bind("mouseover", function () {
                var htm = $(this).html();
                $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
            });
        },
        onLoadSuccess: function (data) {
            $("#fileTable").bootstrapTable('expandAllRows');
        },
        onExpandRow: function (index, row, $detail) {
            var ajax = new $ax("/api/talentInfo/listTalentFile", function (data) {
                if(data==null||data.length==0){
                    return;
                }
                var html = '<ul class="imgs"><li style="width: 80%;font-weight: bold;padding-top: 5px;">附件原名</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">预览</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">操作</li>';
                var files = $("#files").val();
                var checkState = $("#checkState").val();
                for(var key in data){
                    var btn = "";
                    if(checkState!=10 || (checkState==10 && files.indexOf(row.id)!=-1)){
                        btn = "<button type=\'button\' onclick=\"TalentTypeChangeInfoDlg.checkFile(this,'"+row.fState+"','"+row.id+"','"+data[key].id+"')\" style=\'margin-right: 10px\' class=\"btn btn-xs btn-info\">" +
                            "<i class=\"fa fa-paste\"></i>修改" +
                            "</button>" +
                            "<button type='button' onclick=\"TalentTypeChangeInfoDlg.deleteFile('"+data[key].id+"','"+row.fState+"')\" class=\"btn btn-xs btn-danger\">" +
                            "<i class=\"fa fa-times\"></i>删除" +
                            "</button>";
                    }else{
                        btn = "";
                    }
                    var sn = data[key].url.lastIndexOf(".");
                    var suffix = data[key].url.substring(sn+1,data[key].url.length);
                    var imgStr = "";
                    if(suffix=="pdf"||suffix=="PDF"){
                        imgStr = "<button type='button'  onclick=\"Feng.showPdf('"+data[key].url+"','"+data[key].id+"','"+data[key].orignName+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>";
                    }else if(suffix == "xlsx" || suffix=="XLSX" || suffix == 'xls' || suffix == 'XLS'){
                        imgStr = "<button type='button'  onclick=\"Feng.showExcel('"+data[key].url+"','"+data[key].id+"','"+data[key].orignName+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-excel-o\" aria-hidden=\"true\"></i></button>";
                    }else{
                        imgStr = '<img class=\"imgUrl\"  src=\"'+data[key].url+'\" style=\"width:25px;height:25px;\">';
                    }
                    html = html + '<li style="display: none">'+data[key].id+'</li>\n'+
                        '<li style="width: 80%;padding-top: 5px;">'+data[key].orignName+'</li>\n'+
                        '<li style="width: 10%;">'+imgStr+'</li>\n'+
                        '<li style="width: 10%;padding-top: 2px;">'+btn+'</li>';
                }
                html = html + '</ul>';
                $detail.html(html);
                $(".imgs").viewer({
                    fullscreen:false
                });
            }, function (data) {
                Feng.error("查询失败!" + data.responseJSON.message + "!");
            });
            var queryData = {};
            queryData["mainId"] = $("#id").val();
            queryData["fileTypeId"] = row.id;
            ajax.set(queryData);
            ajax.start();
        }
    });

}

//校验是否保存基础信息
TalentTypeChangeInfoDlg.validId = function (){
    var id = $("#id").val();
    if(id!=null && id!=''){
        $("#fileLi").removeAttr("style");
    }else{
        $("#fileLi").attr("style","pointer-events: none");
    }
}
//选择附件并显示附件名
TalentTypeChangeInfoDlg.checkFile = function (content,state,fileTypeId,fileId){
    if(!TalentTypeChangeInfoDlg.validateIsEdit())return;
    $("#upload_file ").unbind("change");
    $("#upload_file ").change(function () {
        TalentTypeChangeInfoDlg.upload(fileTypeId,fileId);
    });
    $('#upload_file').val("");
    $('#upload_file').click()
}
//上传附件
TalentTypeChangeInfoDlg.upload = function (fileTypeId,fileId){
    var id = $("#id").val();
    if(id==null || id==''){
        Feng.info("请先添加基本信息并保存后再试");
        return ;
    }
    if(!TalentTypeChangeInfoDlg.validateIsEdit())return;
    if(fileId!=null&&fileId!='null'){
        $("#fileId").val(fileId)
    }else{
        $("#fileId").val("");
    }
    $("#mainId").val(id);
    $("#fileTypeId").val(fileTypeId);
    var index = layer.load(0, {shade: false,time:0});
    $("#index").val(index);
    $("#uploadForm").submit();
}
//删除附件
TalentTypeChangeInfoDlg.deleteFile = function (id,state){
    if(!TalentTypeChangeInfoDlg.validateIsEdit())return;
    if(state==3){
        Feng.info("该附件已通过审核，无法修改");
        return ;
    }
    var operation = function() {
        var ajax = new $ax("/api/talentInfo/deleteFile", function (data) {
            if(data.code=200){
                Feng.success(data.msg);
                $("#fileTable").bootstrapTable("refresh", {});
            }else{
                Feng.error(data.msg);
            }
        }, function (data) {
            Feng.error("删除失败!" + data.responseJSON.message + "!");
        });
        ajax.set("id", id);
        ajax.set("type",8);
        ajax.start();
    }
    Feng.confirm("删除后无法恢复，确认删除吗?", operation);
}

/**
 * 提交审核
 */
TalentTypeChangeInfoDlg.submitToCheck = function(){
    var id = $("#id").val();
    if(id==null || id==""){
        Feng.info("请先填写基础信息并上传附件");
        return ;
    }
    if(!TalentTypeChangeInfoDlg.validateIsEdit())return;
    var operation = function() {
        var ajax = new $ax("/api/talentTypeChange/submitToCheck", function (data) {
            if(data.code==200){
                Feng.success(data.msg);
                window.parent.TalentTypeChange.table.refresh();
                TalentTypeChangeInfoDlg.close();
            }else{
                Feng.error(data.msg);
            }
        }, function (data) {
            Feng.error("提交审核失败!" + data.responseJSON.message + "!");
        });
        ajax.set("id", id);
        ajax.start();
    }
    Feng.confirm("请确认基础信息已核对无误，相应附件已上传，一旦提交，无法修改", operation);
}


/**
 * 校验是否可以修改/提交审核
 */
TalentTypeChangeInfoDlg.validateIsEdit = function (){
    var checkState = $("#checkState").val();
    if(checkState != 1 && checkState != 5 && checkState != 10){
        if(checkState==-1){
            Feng.error("您的申报审核不通过，无法再修改");
            return false;
        }else if(checkState>=35){
            Feng.error("您的申报已审核通过，无法再修改");
            return false;
        }else{
            Feng.error("您的申报正在审核中，请耐心等待");
            return false;
        }
    }
    return true;
}

/**
 * 初始化表格的列
 */
TalentTypeChangeInfoDlg.initFileTypeColumn = function () {
    return [
        {field: 'selectItem', checkbox:false,visible:false},
        {title: '名称', field: 'name', visible: true, align: 'center', valign: 'middle',width:"30%",'class': 'uitd_showTip',
            formatter : function(value,row,index){
                if(row.must==1){
                    return '<i class="fa fa-paste"></i><span style="font-weight:bold;color:red;font-size:14px;font-family:宋体"> * </span> '+ value;
                }if(row.must==2){
                    return '<i class="fa fa-paste"></i>'+value;
                }
            }
        },
        {title: '模板', field: 'templateUrl', visible: true, align: 'center', valign: 'middle',width:"8%",
            formatter : function(value,row,index){
                if(value==null||value==''||value=='null'){
                    return '无';
                }
                return "<button type='button' onclick=\"TalentTypeChangeInfoDlg.downloadFile('"+row.id+"',3)\" style='margin-right: 10px' class=\"btn btn-xs btn-primary\">" +
                    "<i class=\"fa fa-download\"></i>下载" +
                    "</button>";
            }
        },
        {title: '备注', field: 'description', visible: true, align: 'center', valign: 'middle',width:"52%",'class': 'uitd_showTip'},
        {title: '操作', field: 'id', visible: true, align: 'center', valign: 'middle',width:"10%",
            formatter : function(value,row,index){
                return "<button type='button' onclick=\"TalentTypeChangeInfoDlg.checkFile(this,'"+row.fState+"','"+value+"','"+null+"')\" style='margin-right: 10px' class=\"btn btn-xs btn-info\">" +
                    "<i class=\"fa fa-upload\"></i>上传" +
                    "</button>" ;

            }
        }
    ]
};

//回调
TalentTypeChangeInfoDlg.callBack = function (data){
    layer.close(data.obj);
    Feng.info(data.msg);
    if (data.code == 200) {
        $("#fileTable").bootstrapTable("refresh", {});
    }
}
TalentTypeChangeInfoDlg.downloadFile = function (id,type){
    window.location.href = "/api/common/downloadFile?id=" + id + "&type="+type;
}

//设置不可修改的字段
TalentTypeChangeInfoDlg.setNoChangeField = function () {
    var checkState = $("#checkState").val();
    var fields = $("#fields").val();
    if(checkState==10){
        $("input").each(function () {
            $(this).attr("readonly","readonly");
        });
        $("select").each(function () {
            $(this).attr("disabled","disabled");
        });
        if(fields!=null && fields!=''){
            var arr = fields.split(",");
            for(var key in arr){
                var name = $("#" + arr[key]).prop("tagName");
                if(name=='select' || name=='SELECT'){
                    $("#" + arr[key]).removeAttr("disabled");
                }if(name=="input" || name=='textarea' || name=="INPUT" || name=='TEXTAREA'){
                    $("#" + arr[key]).removeAttr("readonly");
                }
            }
        }
    }
}


$(function() {
    $('#talentTypeForm').bootstrapValidator({
        feedbackIcons: {
            valid: 'glyphicon glyphicon-ok',
            invalid: 'glyphicon glyphicon-remove',
            validating: 'glyphicon glyphicon-refresh'
        },
        container: 'tooltip',
        group:'.rowGroup',
        fields: TalentTypeChangeInfoDlg.validateFields,
        live: 'enabled',
        message: '该字段不能为空'
    }).on('error.field.bv', function(e, data) {
        // Get the tooltip
        var $parent = data.element.parents('.form-group-sm'),
            $icon   = $parent.find('.form-control-feedback[data-bv-icon-for="' + data.field + '"]'),
            title   = $icon.data('bs.tooltip').getTitle();
        $icon.tooltip('destroy').tooltip({
            html: true,
            placement: 'right',
            title: title,
            container: 'body'
        });
    });
    // Feng.initValidator("talentTypeForm", TalentTypeChangeInfoDlg.validateFields);
    var arr = [
        {"name":"oldTalentArrange","code":"talent_arrange"},
        {"name":"newTalentArrange","code":"talent_arrange"},
        {"name":"oldIntroductionMode","code":"un_introduction_mode"},
        {"name":"newIntroductionMode","code":"un_introduction_mode"}];
    Feng.findChildDictBatch(JSON.stringify(arr));
    var id = $("#id").val();
    //加载福建省泉州的县
    Feng.addAjaxSelect({
        "id": "oldFromCity",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": "/common/tool/findCountyByCitySelect/code/350500"
    });
    //加载福建省泉州的县
    Feng.addAjaxSelect({
        "id": "newFromCity",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": "/common/tool/findCountyByCitySelect/code/350500"
    });
    var batchHtml = "<option value=''>请选择</option>";
    for(var i=1;i<101;i++){
        batchHtml = batchHtml + "<option value='"+i+"'>"+i+"</option>";
    }
    $("#oldQzBath").append(batchHtml);
    $("#newQzBath").append(batchHtml);
    var url = (id==null||id=='')?"/enterprise/talent/findTalentInfoInLibrary/"+CONFIG.project_levelchange:"/api/talentInfo/findTalentInfoByChangeId/"+CONFIG.project_levelchange+"/"+id;
    Feng.addAjaxSelect({
        "id": 'talentId',
        "displayCode": "id",
        "displayName": "name",
        "type": "GET",
        "url": url
    });
    //批量加载时间控件
    $(".date").each(function(){
        laydate.render({
            elem: this
            ,type: 'date'
            ,trigger: 'click'
        });
    });
    if(id!=null && id!=''){
        $("select").each(function () {
            $(this).val($(this).attr("value"));
            $(this).trigger("change");
        });
        Feng.getCheckLog("logTable",{"type":CONFIG.project_levelchange,"mainId":id,"typeFileId":"","active":1})
    }
    TalentTypeChangeInfoDlg.validId();
    TalentTypeChangeInfoDlg.setNoChangeField();
    $("#newIdentifyCondition,#talentId").on('chosen:ready', function(e, params) {
        $(".chosen-container-single .chosen-single").css("padding","4px 0px 0px 4px");
    });
    $("#newIdentifyCondition,#talentId").chosen({
        search_contains:true,       //关键字模糊搜索。设置为true，只要选项包含搜索词就会显示；设置为false，则要求从选项开头开始匹配
        disable_search: false,
        width:"100%",
        enable_split_word_search: true,
        rtl:true
    });
    toastr.options = {
        "closeButton": true,
        "debug": false,
        "positionClass": "toast-bottom-right",
        "onclick": null,
        "showDuration": "300",
        "hideDuration": "1000",
        "timeOut": "100000",
        "extendedTimeOut": "1000",
        "showEasing": "swing",
        "hideEasing": "linear",
        "showMethod": "fadeIn",
        "hideMethod": "fadeOut"
    }
});
